﻿
using MyCompany.Intranet.Core.Entites;
using MyCompany.Intranet.Core.Enums;
using MyCompany.Intranet.Core.Services;
using MyCompany.Intranet.Core.Managers;


public static class Program
{
    public static void Main(string[] args)
    {
        float bmiIndex = 0;
        float height = 0;
        float weight = 0;

        var person = new Person();
        var bmiService = new BmiService();
       
        var bmiManager = new BmiManager(bmiService);

        System.Console.WriteLine("Please enter your Weight: ");
        Single.TryParse( System.Console.ReadLine(), out weight);

        System.Console.WriteLine("Please enter your Height: ");
        Single.TryParse( System.Console.ReadLine(), out height);
       
        person.Height = height;
        person.Weight = weight;

        var bmi = bmiManager.GetBmi(person);

        System.Console.WriteLine($" Index {bmi.Index} Type {bmi.BmiType}");

    }

}


