
using MyCompany.Intranet.Core.Entites;
using MyCompany.Intranet.Core.Services.Interfaces;

namespace MyCompany.Intranet.Core.Managers;

public class BmiManager 
{
    private readonly IBmiService _service;

    public BmiManager(IBmiService service)
    {
        _service = service;
    }

    public Bmi GetBmi(Person person)
    {
        return _service.ProcessBmi(person);
    }

}